Skip to main content
GET
/
dc
/
connections
/
google_drive
/
{connection_pid}
/
folders
List Google Drive Folders
curl --request GET \
  --url https://ds.cominty.com/dc/connections/google_drive/{connection_pid}/folders \
  --header 'x-cominty-token: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "path": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.cominty.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-cominty-token
string
header
required

Your Cominty API token.

Path Parameters

connection_pid
string
required

Query Parameters

collection
enum<string>
default:personal
Available options:
personal,
shared_drives,
shared_with_me
parent_id
string
default:root
parent_path
string
default:""

Response

Successful Response

id
string
required
name
string
required
path
string
required
collection
enum<string>
required
Available options:
personal,
shared_drives,
shared_with_me